************************************************************************
* File: do.for
************************************************************************
* Scopo: dimostrazione che il DO del FORTRAN NON e' assolutamente
*        assimilabile al FOR del PASCAL
************************************************************************

      SUBROUTINE S (k)
      IMPLICIT NONE
      INTEGER k
      k = 7
      END


      PROGRAM prova
      IMPLICIT NONE
      INTEGER i, N
      N = 5
      DO 10 i = 1, N
        WRITE (*,*) i
        CALL S(i)
* Sebbene sia proibita l'istruzione esplicita
*       i = 7
* il cambiamento di valore di i ATTRAVERSO CHIAMATA A PROCEDURA
* e' perfettamente lecito (ma rende il programma NON STRUTTURATO!!!)
        WRITE (*,*) i
 10   CONTINUE
      STOP
      END
